# Uses of Class
javax.swing.JTabbedPane

Packages that use JTabbedPane
Package
Description
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.

## Uses of JTabbedPane in javax.swing.plaf

Methods in javax.swing.plaf with parameters of type JTabbedPane
Modifier and Type
Method
Description
`abstract Rectangle`
TabbedPaneUI.`getTabBounds(JTabbedPane pane, int index)`
Returns the rectangle for the tab bounds.
`abstract int`
TabbedPaneUI.`getTabRunCount(JTabbedPane pane)`
Returns the tab run count.
`abstract int`
TabbedPaneUI.`tabForCoordinate(JTabbedPane pane, int x, int y)`
Returns the tab for the coordinate.

## Uses of JTabbedPane in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as JTabbedPane
Modifier and Type
Field
Description
`protected JTabbedPane`
BasicTabbedPaneUI.`tabPane`
The tab pane
Methods in javax.swing.plaf.basic with parameters of type JTabbedPane
Modifier and Type
Method
Description
`Rectangle`
BasicTabbedPaneUI.`getTabBounds(JTabbedPane pane, int i)`
Returns the bounds of the specified tab index.
`int`
BasicTabbedPaneUI.`getTabRunCount(JTabbedPane pane)`
`int`
BasicTabbedPaneUI.`tabForCoordinate(JTabbedPane pane, int x, int y)`
Returns the tab index which intersects the specified point in the JTabbedPane's coordinate space.

## Uses of JTabbedPane in javax.swing.plaf.multi

Methods in javax.swing.plaf.multi with parameters of type JTabbedPane
Modifier and Type
Method
Description
`Rectangle`
MultiTabbedPaneUI.`getTabBounds(JTabbedPane a, int b)`
Invokes the `getTabBounds` method on each UI handled by this object.
`int`
MultiTabbedPaneUI.`getTabRunCount(JTabbedPane a)`
Invokes the `getTabRunCount` method on each UI handled by this object.
`int`
MultiTabbedPaneUI.`tabForCoordinate(JTabbedPane a, int b, int c)`
Invokes the `tabForCoordinate` method on each UI handled by this object.